# Docspell Import

Ein Tool zum Aufräumen des Docspell-Importverzeichnisses und zum automatischen Archivieren von bestätigten Dokumenten.

## Funktionsweise

Das Programm:
- Überprüft Dateien in konfigurierten Import-Verzeichnissen
- Prüft für jede Datei, ob sie bereits in Docspell existiert
- Wenn die Datei existiert und bestätigt ist:
  - Verschiebt sie in ein Archiv-Verzeichnis
  - Organisiert sie nach Datum und Ordnerstruktur
- Optional: Lädt noch nicht existierende Dateien automatisch nach Docspell hoch

## Voraussetzungen

- [Docspell Command Line Client (dsc)](https://docspell.org/docs/tools/cli/)
- `jq` Kommandozeilentool
- Eine Konfigurationsdatei unter `~/docspell-import.json`

## Konfiguration

Erstellen Sie eine `docspell-import.json` Datei in Ihrem Home-Verzeichnis: [Beispiel-Konfiguration](./docspell-import-example.json)
